%define name    usbd
%define version 0.1
%define release 1
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source:		http://usb.in.tum.de/download/%{name}-%{version}.tar.gz
Copyright:	GNU GPL
Buildroot: 	/tmp/%{name}-%{version}-root
ExclusiveOS: 	Linux
Summary: Linux USB utilities.
Group: Applications/System

%description
This package contains a daemon responsible for
loading kernel or user space drivers on hot plug events.

It requires kernel version 2.3.34 or newer (supporting
the /proc/bus/usb interface including poll on devices).

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --datadir=/usr/share --sbindir=/usr/sbin --sysconfdir=/etc/usbd --localstatedir=/var/usbd --libexecdir=/usr/libexec/usbd
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_BUILD_DIR/usbd.initscript $RPM_BUILD_ROOT/etc/rc.d/init.d/usbd

%files
%defattr(0644, root, root, 0755)
%attr(0644, root, man) /usr/man/man8/*
%attr(0644, root, root) /usr/libexec/usbd/*
%attr(0711, root, root) /usr/sbin/*
%attr(0644, root, root) /etc/rc.d/init.d/usbd
%config /etc/usbd/default.conf
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%attr(0711, root, root) /usr/libexec/usbd/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 21 1999 Thomas Sailer <sailer@ife.ee.ethz.ch>
- Initial build
